Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81499 - upgrade should not put back files deliberately removed
Summary: upgrade should not put back files deliberately removed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 22:38 UTC by Neil Prockter
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-10 19:17:25 UTC


Attachments (Terms of Use)

Description Neil Prockter 2003-01-09 22:38:14 UTC
Description of problem:
rpm upgrades replace files that have been deliberately removed.
For example
I remove /etc/logrotate.d/apache because I handle loging and I don't want apache
restarted every day
after upgrading logrotate the file is put back and apache gets restarted again.
this is undesirable.
I know these are trival solutions that won't scale but they'd do for me for now,
perhaps a system wide list of files never to create, or a group (say
rpmleavealone) that if a file belongs to it gets left alone (I can leave it empty)

Version-Release number of selected component (if applicable):


How reproducible:
everytime


Steps to Reproduce:
1.remove /etc/logrotate.d/apache
2.upgrade logrotate
3.
    
Actual results:
/etc/logrotate.d/apache recreated

Expected results:
/etc/logrotate.d/apache left not there

Additional info:

Comment 1 Jeff Johnson 2003-01-10 19:17:25 UTC
Use
--excludepath=<path>             skip files with leading component <path>
when upgrading. Upgrades with rpm are not (and should not imho) be
stateful and persistent in the manner you are expecting


Note You need to log in before you can comment on or make changes to this bug.